import 'package:flutter/material.dart';
import 'package:sk_base_mobile/app_theme.dart';

class SkInk extends StatelessWidget {
  final Widget? child;
  final void Function()? onTap;
  final BorderRadius? borderRadius;
  final BoxBorder? border;
  const SkInk(
      {super.key, this.child, this.onTap, this.borderRadius, this.border});

  @override
  Widget build(BuildContext context) {
    return Material(
      child: Ink(
          decoration: BoxDecoration(
            border: border ?? Border.all(color: AppTheme.grey.withOpacity(0.8)),
            borderRadius: borderRadius,
          ),
          child:
              InkWell(borderRadius: borderRadius, onTap: onTap, child: child)),
    );
  }
}
